Loading...
Searching...
No Matches
Dune::MatrixMarketImpl::MatrixValuesSetter< D, brows, bcols > Struct Template Reference

Functor to the data values of the matrix. More...

`#include <dune/istl/matrixmarket.hh>`

Inheritance diagram for Dune::MatrixMarketImpl::MatrixValuesSetter< D, brows, bcols >:

## Public Member Functions

template<typename T>
void | operator() (const std::vector< std::set< IndexData< D > > > &rows, BCRSMatrix< T > &matrix)
| Sets the matrix values.
template<typename T>
void | operator() (const std::vector< std::set< IndexData< D > > > &rows, BCRSMatrix< FieldMatrix< T, brows, bcols > > &matrix)
| Sets the matrix values.

## Detailed Description

template<typename D, int brows, int bcols>
struct Dune::MatrixMarketImpl::MatrixValuesSetter< D, brows, bcols >

Functor to the data values of the matrix.

This is specialized for PatternDummy. The specialization does not set anything.

## Member Function Documentation

## operator()() [1/2]

template<typename D, int brows, int bcols>
template<typename T>

void Dune::MatrixMarketImpl::MatrixValuesSetter< D, brows, bcols >::operator() | ( | const std::vector< std::set< IndexData< D > > > & | rows,
|  | BCRSMatrix< FieldMatrix< T, brows, bcols > > & | matrix )

inline

Sets the matrix values.

Parameters

  rows | The row data as read from file.
  matrix | The matrix whose data we set.

## operator()() [2/2]

template<typename D, int brows, int bcols>
template<typename T>

void Dune::MatrixMarketImpl::MatrixValuesSetter< D, brows, bcols >::operator() | ( | const std::vector< std::set< IndexData< D > > > & | rows,
|  | BCRSMatrix< T > & | matrix )

inline

Sets the matrix values.

Parameters

  rows | The row data as read from file.
  matrix | The matrix whose data we set.

The documentation for this struct was generated from the following file:

- matrixmarket.hh